// Copyright (C) 2021 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only

#ifndef QTQUICKTIMELINEEXPORTS_H
#define QTQUICKTIMELINEEXPORTS_H

#include <QtCore/qglobal.h>

#if defined(QT_SHARED) || !defined(QT_STATIC)
#  if defined(QT_BUILD_QUICKTIMELINE_LIB)
#    define Q_QUICKTIMELINE_EXPORT Q_DECL_EXPORT
#  else
#    define Q_QUICKTIMELINE_EXPORT Q_DECL_IMPORT
#  endif
#else
#  define Q_QUICKTIMELINE_EXPORT
#endif

#ifdef QT_QUICKTIMELINE_BUILD_REMOVED_API
#define QT_QUICKTIMELINE_REMOVED_SINCE(major, minor) QT_DEPRECATED_SINCE(major, minor)
#else
#define QT_QUICKTIMELINE_REMOVED_SINCE(major, minor) 0
#endif

#endif // QTQUICKTIMELINEEXPORTS_H
